summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2012-02-24 12:12:48 +1100
committerAndrew Bartlett <abartlet@samba.org>2012-02-24 12:12:48 +1100
commitb947d84c88d1fcc3bdd75f3002bb38b673cbecd3 (patch)
tree3064a55c38017f63f6fa536fb5ed4c9fb54e1b3b /source3/script
parent111d9f3eb20ad0c3e3b6a7a01f7c997111c660d9 (diff)
downloadsamba-b947d84c88d1fcc3bdd75f3002bb38b673cbecd3.tar.gz
samba-b947d84c88d1fcc3bdd75f3002bb38b673cbecd3.tar.bz2
samba-b947d84c88d1fcc3bdd75f3002bb38b673cbecd3.zip
s3-selftest: run ntlm_auth against winbindd in make test
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/tests/test_ntlm_auth_s3.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/source3/script/tests/test_ntlm_auth_s3.sh b/source3/script/tests/test_ntlm_auth_s3.sh
index 783ac03209..1655d7518b 100755
--- a/source3/script/tests/test_ntlm_auth_s3.sh
+++ b/source3/script/tests/test_ntlm_auth_s3.sh
@@ -10,7 +10,10 @@ fi
PYTHON=$1
SRC3DIR=$2
NTLM_AUTH=$3
-shift 3
+DOMAIN=$4
+USERNAME=$5
+PASSWORD=$6
+shift 6
ADDARGS="$*"
incdir=`dirname $0`/../../../testprogs/blackbox
@@ -20,7 +23,8 @@ failed=0
testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $NTLM_AUTH $ADDARGS || failed=`expr $failed + 1`
# This should work even with NTLMv2
-testit "ntlm_auth" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $NTLM_AUTH $ADDARGS --client-domain=fOo --server-domain=fOo || failed=`expr $failed + 1`
+testit "ntlm_auth with specified domain" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $NTLM_AUTH $ADDARGS --client-domain=fOo --server-domain=fOo || failed=`expr $failed + 1`
+testit "ntlm_auth against winbindd" $PYTHON $SRC3DIR/torture/test_ntlm_auth.py $NTLM_AUTH --client-username=$USERNAME --client-domain=$DOMAIN --client-password=$PASSWORD --server-use-winbindd $ADDARGS || failed=`expr $failed + 1`
testok $0 $failed